summaryrefslogtreecommitdiff
path: root/dev-python/python-lsp-jsonrpc
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-09 18:14:59 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-09 18:14:59 +0000
commitcbea470d504b7017a28111238340a0062309a850 (patch)
tree82f8f6758dd8bc28114fdbf1dcf600247d09908e /dev-python/python-lsp-jsonrpc
parent92eb9887059a7c1a28388007a05a8b3597fb8e24 (diff)
downloadbaldeagleos-repo-cbea470d504b7017a28111238340a0062309a850.tar.gz
baldeagleos-repo-cbea470d504b7017a28111238340a0062309a850.tar.xz
baldeagleos-repo-cbea470d504b7017a28111238340a0062309a850.zip
Adding metadata
Diffstat (limited to 'dev-python/python-lsp-jsonrpc')
-rw-r--r--dev-python/python-lsp-jsonrpc/python-lsp-jsonrpc-1.0.0-r1.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/python-lsp-jsonrpc/python-lsp-jsonrpc-1.0.0-r1.ebuild b/dev-python/python-lsp-jsonrpc/python-lsp-jsonrpc-1.0.0-r1.ebuild
new file mode 100644
index 000000000000..6d08f60c0b69
--- /dev/null
+++ b/dev-python/python-lsp-jsonrpc/python-lsp-jsonrpc-1.0.0-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="JSON RPC 2.0 server library"
+HOMEPAGE="https://github.com/python-lsp/python-lsp-jsonrpc"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pycodestyle[${PYTHON_USEDEP}]
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ )"
+
+RDEPEND=">=dev-python/ujson-3[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+PATCHES=( "${FILESDIR}/${P}-fix-test-with-ujson-3-and-up.patch" )
+
+python_prepare_all() {
+ # Remove pytest-cov dep
+ sed -i -e '0,/addopts/I!d' setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}